PATCH, testsuite: fix PR 38362

Ben Elliston bje@au1.ibm.com
Fri Dec 19 06:14:00 GMT 2008


This patch corrects PR 38362 by passing -std=c++98, disabling the
expansion of context-sensitive keywords for these test.  Tested on
powerpc64-linux (with RUNTESTFLAGS=dg.exp=altivec-types-1.C, to minimise
testing time).  Okay for mainline, as this is a 4.4 regression?

Thanks,
Ben


2008-12-19  Ben Elliston  <bje@au.ibm.com>

        PR c++/38362
        * g++.dg/ext/altivec-types-1.C (dg-options): Pass -std=c++98.

Index: g++.dg/ext/altivec-types-1.C
===================================================================
--- g++.dg/ext/altivec-types-1.C        (revision 142828)
+++ g++.dg/ext/altivec-types-1.C        (working copy)
@@ -1,6 +1,6 @@
 /* { dg-do compile { target powerpc*-*-linux* } } */
 /* { dg-require-effective-target powerpc_altivec_ok } */
-/* { dg-options "-maltivec" } */
+/* { dg-options "-maltivec -std=c++98" } */
 
 /* Valid AltiVec vector types should be accepted with no warnings.  */
 




More information about the Gcc-patches mailing list